2 tanzuozhev tanzuozhev 于 2016.04.13 18:42 提问

linux非root安装软件设置 2C

我不是root用户,在安装软件的时候提示

PAM was not found

其实PAM是有的,只是缺少libpam, 网上说需要安装sudo apt-get install pam-dev,于是我自己编译了一个pam,并且设置了环境变量
PATH
LD_LIBRARY_PATH
LIBRARY_PATH
C_INCLUDE_PATH
CPLUS_INCLUDE_PATH
但是依旧不行,求前辈指点迷津。

1个回答

oyljerry
oyljerry   Ds   Rxr 2016.04.13 22:55

安装的软件是不是需要root权限 或者自己编译后复制到对应目录

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
Linux非root用户安装MySQL
1.下载MYSQL源码:http://dev.mysql.com/downloads/mysql/ 选择最后一个“Source Code” 5.1及之前版本用configure进行编译,5.1之后的版本用cmake进行编译。这里安装的是5.0版本 2.解包: $tar zxvf mysql-5.0.67.tar.gz $cd mysql-5.0.67 3.编译: 我的安
linux非root安装nginx
1、下载pcre、nginx包,这里用的是pcre-8.38.tar.gz、nginx-1.5.9.tar.gz,同时确保主机已装了,gcc,通过gcc -v命令可以验证是否安装了gcc 2、先装pcre # tar zxvf pcre-8.38.tar.gz # cd pcre-8.38 # ./configure --prefix="想安装的目录,在自己用户目录下创建目录" # ma
linux下非root权限的mysql安装
linux下非root权限的mysql安装
linux在非root下安装mysql
本人在网上查询了好多资料,经过两天的实验终于得出正确的安装步骤。安装步骤: 查询以前安装的mysql相关包 rpm -qa | grep mysql 暴力删除这个包 rpm -e mysql-libs-5.1.66-2.el6_3.i686 --nodeps rpm -ivh MySQL-server-5.1.73-1.glibc23.i386.rpm rpm -ivh MySQL-client-5.1.73-1.glibc23.i386.rpm 执行命令设置mysql /usr/bin/mysql_secure_installation
非root用户安装R
cd src && mkdir R cd R wget http://mirrors.ustc.edu.cn/CRAN/src/base/R-3/R-3.4.3.tar.gz tar -zxvf  R-3.4.3.tar.gz cd R-3.4.3 ./configure --prefix=/home/gaojw/src/R make make install #添加/home/g
非root用户安装mysql-5.6.38.tar.gz
1. 把安装包mysql-5.6.38.tar.gz上传到服务/home/app/soft中 2.在/home/app下面创建mysql文件夹 3.进入到mysql文件夹中,再创建data文件夹 4. 回到mysql压缩文件的路径中cd /home/app/soft 解压tar –zxvf mysql-5.6.38.tar.gz 5。 进入解压好的mysql-5.6.38.tar.gz文件
非ROOT用户安装MySQL
Linux非ROOT用户安装Mysql 1. 首先wget mysql的安装包mysql-5.1.28-rc.tar.gz,5.1版本以前用configure进行编译,5.1之后的版本用cmake进行编译。    把mysql-5.1.28-rc.tar.gz解压缩    tar -axvf mysql-5.1.28-rc.tar.gz 2. 进入解压缩后的文件夹
Linux 下非 root 用户安装 theano(配置 GPU)
非 root 用户,安装 Python 第三方的包,尤其像 theano,存在大量的依赖项,存在的主要问题,是安装各个包时的权限问题。所幸,存在这样一个集成工具,叫 anaconda,其已经内置了许多 Python 库,安装 theano 之前,只需安装 theano。
linux非root下安装opencv300
因为程序在本地运行出现内存
Linux非root用户如何优雅的安装cuda和cudnn
ubantu非root用户如何优雅的安装cuda和cudnn 跑深度学习模型时,总会遇到各种版本的问题。如深度学习框架与cuda的版本不符,或者管理安装的cuda的版本太低,因此作为非root用户就很难受。为自己装cuda和深度学习框架就非常有必要 anaconda的必要性 非root安装cuda和cudnn anaconda python有一个很好的版本管理器——anacond...